package ru.dbotthepony.kstarbound.server

import ru.dbotthepony.kstarbound.client.StarboundClient
import java.io.Closeable
import java.io.File

class IntegratedStarboundServer(val client: StarboundClient, root: File) : StarboundServer(root) {
	init {
		channels.createLocalChannel()
	}

	override fun tick0(delta: Double) {
		if (client.isShutdown) {
			shutdown()
		}
	}

	override fun close0() {

	}
}
